QoreIntOrNothingDataType.qc.dox.h
// -*- mode: c++; indent-tabs-mode: nil -*-
namespace DataProvider {
class QoreIntOrNothingDataType : public QoreIntDataTypeBase {
public:
constructor(*hash<auto> options, *hash<auto> tags) ;
};
};
DataProvider::QoreIntDataTypeBase
describes a data type based on int types with validation for parsing strings when used with soft type...
Definition: QoreIntDataTypeBase.qc.dox.h:28
DataProvider::AbstractDataProviderType::tags
*hash< auto > tags
type tags
Definition: AbstractDataProviderType.qc.dox.h:118
DataProvider::AbstractDataProviderType::options
hash< auto > options
type options
Definition: AbstractDataProviderType.qc.dox.h:115
DataProvider
Qore AbstractDataField class definition.
Definition: AbstractDataField.qc.dox.h:27
DataProvider::QoreIntOrNothingDataType
describes a data type based on *int
Definition: QoreIntOrNothingDataType.qc.dox.h:28
DataProvider::AbstractDataProviderType::constructor
constructor()
creates the type